import { Component } from '@angular/core';
import { ICellRendererAngularComp } from 'ag-grid-angular';
import { ICellRendererParams } from 'ag-grid-community';

@Component({
  selector: 'app-boolean-cell-renderer',
  template: ` {{ boolValue }} `,
})
export class BooleanCellRendererComponent implements ICellRendererAngularComp {
  public params!: ICellRendererParams;
  public boolValue: boolean;

  agInit(params: ICellRendererParams): void {
    this.params = params.value;
    if (params) {
      this.boolValue = params.value;
    } else {
      this.boolValue = null;
    }
  }

  refresh(): false {
    return false;
  }
}
